[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 홍쓰넷 Migration 검토 및 검증

> Docker Swarm -> `K8s`로의 **서비스 이관**을 검토하고 검증한다.

# Table of Contents

| NO | ITEM | Content | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | Cluster 운용상 비교 및 검토 | [GO](./CLUSTER/) | |
| 2 | Service Deploy에 대한 비교 및 검토| [GO](./SERVICE/) | |
| 3 | Network 구조에 대한 비교 및 검토| [GO](./NETWORKING/) | |
| 4 | Storage 구조에 대한 비교 및 검토 | [GO](./STORAGE/) | |
| 5 | 이 외 비교 및 검토 | [GO](./MISC/) | |

# Overview

|  | **Swarm** | `K8s` | 비고 |
| ------ | ------ | ------ | ------ |
| Controller | Manager | Master | |
| Slave | Worker | Nodes | |
| Workload Definition | Service | Deployment | |
| Deployment Unit | Task | Pod | |
| Scale-out Definition | Replicas | Replica Set | |
| Service Discovery | DNS | DNS | |
| Load Balancing | Ingress | Service | |
| Port | Published Port | Endpoint | |
| Storage | Volumes | Persistent Volumes / Claims | |
| Network | Overlay | Flat Networking Space | |

